Request
curl https://sandbox.api.lendeasy.ai/v1/servicing/credit-reporting/accounts/$ACCOUNT_ID \
-H "Authorization: Bearer $TOKEN" \
-H "LendEasy-Tenant: $TENANT"
await fetch(`https://sandbox.api.lendeasy.ai/v1/servicing/credit-reporting/accounts/${accountId}`, {
method: "GET",
headers: { Authorization: `Bearer ${token}`, "LendEasy-Tenant": tenant },
});
requests.get(
f"https://sandbox.api.lendeasy.ai/v1/servicing/credit-reporting/accounts/{account_id}",
headers={"Authorization": f"Bearer {token}", "LendEasy-Tenant": tenant},
)
{
"id": 4412,
"loanRef": "10231",
"customerRef": "881",
"accountIdentifier": "LE10231",
"portfolioType": "I",
"posture": "REPORT",
"postureKind": null,
"postureReason": null,
"everFurnished": true,
"lastAccountStatus": "11",
"anchors": [
{
"kind": "FIRST_DELINQUENCY",
"date": "2026-03-01",
"origin": "ORIGINATED_HERE"
}
],
"paymentHistoryProfile": "111111111111111111111111",
"months": [
{
"month": "2026-08-01",
"code": "1"
},
{
"month": "2026-07-01",
"code": "1"
}
]
}
{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "400",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "validation.msg.validation.errors.exist",
"errors": []
}
{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "401",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "error.msg.not.authenticated",
"errors": []
}
{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "403",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "error.msg.not.authorized",
"errors": []
}
{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "404",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "error.msg.resource.not.found",
"errors": []
}